Bug 192287 - Problem with line-drawing characters using UTF-8
Problem with line-drawing characters using UTF-8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: iptraf (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 15:38 EDT by Thomas Müller
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: iptraf-3.0.0-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 03:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Makefile to link against ncursesw (1.57 KB, patch)
2006-05-18 15:38 EDT, Thomas Müller
no flags Details | Diff

  None (edit)
Description Thomas Müller 2006-05-18 15:38:24 EDT
Description of problem:
When using putty to log into my linux pc I'm not getting correct line-drawings
in iptraf when using an utf8-charset.


Version-Release number of selected component (if applicable):
3.0.0-1.3.FC5


How reproducible:
always


Steps to Reproduce:
1. log in using putty
2. set locale/charset to UTF-8
3. set correct translation/charset in putty
4. export TERM=xterm
5. start iptraf
  
Actual results:
line-drawing characters show as lqqqqqqqqqk...

Expected results:
lines :)


Proposed fix:
While this actually may be a misbehavior of putty, it is quite easy to fix by
patching iptraf.
One just needs to link iptraf against ncursesw instead of ncurses. (see attached
patch)

As I understand, ncursesw behaves exactly like ncurses, but has improved support
for wide characters. Fedore Core uses UTF-8 by default, so it would suit and it
shouldn't break anything.

The advantage is, that one can give ncursesw a hint on how to use line-drawing
characters by setting an environment variable.
Comment 1 Thomas Müller 2006-05-18 15:38:24 EDT
Created attachment 129481 [details]
Patch for Makefile to link against ncursesw
Comment 2 Marcela Mašláňová 2006-08-01 09:16:14 EDT
Hello, 
this patch works for you? I tested it and it won't work. It's possibly problem
of putty. I had the same problem with mc.
Comment 3 Thomas Müller 2006-08-02 08:13:28 EDT
Hi,

I just tested the patch using a clean installation of FC5 and putty.
After applying the patch, setting putty to UTF-8 and setting the environment
variable (export NCURSES_NO_UTF8_ACS=1), I get lines, boxes etc as expected.
Sorry, I forgot to mention the actual name of the variable I was talking about
in my initial report.

I just noticed that mc works perfectly out of the box, without the need for a
special environment variable. Unfortunately I didn't have time to take a close
look at the source.

Note You need to log in before you can comment on or make changes to this bug.